package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobEmpFieldPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface SalarySobEmpFieldMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalarySobEmpFieldPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobEmpFieldPO> listSome(SalarySobEmpFieldPO SalarySobEmpFieldPO);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalarySobEmpFieldPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param SalarySobEmpFieldPO 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalarySobEmpFieldPO SalarySobEmpFieldPO);
	
	/**
     * 修改，修改所有字段
     *
     * @param SalarySobEmpFieldPO 修改的记录
     * @return 返回影响行数
     */
	int update(SalarySobEmpFieldPO SalarySobEmpFieldPO);
	
	/**
     * 修改，忽略null字段
     *
     * @param SalarySobEmpFieldPO 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalarySobEmpFieldPO SalarySobEmpFieldPO);
	
	/**
     * 删除记录
     *
     * @param SalarySobEmpFieldPO 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalarySobEmpFieldPO SalarySobEmpFieldPO);


	/**
	 * 批量插入
	 *
	 * @param salarySobEmpFields
	 */
	void batchInsert(@Param("collection") Collection<SalarySobEmpFieldPO> salarySobEmpFields);

	/**
	 * 批量更新
	 *
	 * @param salarySobEmpFields
	 */
	void batchUpdate(@Param("collection") Collection<SalarySobEmpFieldPO> salarySobEmpFields);

	/**
	 * 根据主键id删除
	 *
	 * @param ids
	 */
	void deleteByIds(@Param("ids") Collection<Long> ids);

	/**
	 * 根据薪资账套id删除
	 *
	 * @param salarySobIds
	 */
	void deleteBySalarySobIds(@Param("salarySobIds") Collection<Long> salarySobIds);
	
}